:root {
	--humburgerBarHeight: 1px;
}

.btn-gNav{
	display: none;
}

@media screen and (max-width: 480px) {
	#hamburger {
		width: 8.9vw;
		height: 5.3vw;
		margin-bottom: var(--humburgerBarHeight);
	}
	
	#hamburger .btn-gNav{
		display: block;
		position: relative;
		width: 100%;
		height: 100%;
		z-index: 3;
		box-sizing: border-box;
		cursor: pointer;
		-webkit-transition: all 400ms;
		transition: all 400ms;
	}
	
	#hamburger .btn-gNav span{
		position: absolute;
		width: 100%;
		height: var(--humburgerBarHeight);
		background: black;
		-webkit-transition: all 400ms;
		transition: all 400ms;
	}

	#hamburger .btn-gNav span:nth-child(1) {
		top:0;
	}
	#hamburger .btn-gNav span:nth-child(2) {
		top: 50%;
	}
	#hamburger .btn-gNav span:nth-child(3) {
		top: 100%;
	}

	#hamburger .btn-gNav.open span {
		height: 1px;
		top: 6px;
	}

	#hamburger .btn-gNav.open span:nth-child(1){
		-webkit-transform: rotate(-45deg);
		-moz-transform   : rotate(-45deg);
		transform        : rotate(-45deg);
	}

	#hamburger .btn-gNav.open span:nth-child(2),#hamburger .btn-gNav.open span:nth-child(3){
		-webkit-transform: rotate(45deg);
		-moz-transform   : rotate(45deg);
		transform        : rotate(45deg);
	}
	
	.navMenu{
		position: fixed;
		top: 0;
		right: -100%;
		width: 100%;
		height: 100%;
		font-size: 16px;
		box-sizing: border-box;
		z-index: 2;
		padding-top: 50px;
		transition: .3s;
	}

	.navMenu.open{
		right: 0px;
		background-color: white;
		opacity: 0.95;
	}

	.navMenu .gNav-menu{
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		align-items: center;
		flex-direction: column;
	}
	
	.navMenu .gNav-menu li{
		font-size: 10vw;
		margin: 0;
	}

	.navMenu .gNav-menu li a{
		color: black;
	}
}